import * as ui from 'mojang-minecraft-ui'
import { world, EntityQueryOptions } from 'mojang-minecraft'
import { ActionFormData, ModalFormData } from 'mojang-minecraft-ui'

//Action/Modal Form Trigger
world.events.tick.subscribe(onPlayerDeath);
world.events.tick.subscribe(pageRifles);
world.events.beforeItemUse.subscribe(eventData => {
    let player = eventData.source

    if (eventData.item.id == 'azoz:phone') { //The item you trigger the form with
        pageMain(player)
        player.runCommand(
            'playsound menu_cso.show'
          )  
    }

    
    if (eventData.item.id == 'decoder:unique' && player.isSneaking) { //The item you trigger the form with
        pageDecoderUNIQUE(player)
        player.runCommand(
            'playsound menu_cso.show'
          )  
    }
    if (eventData.item.id == 'decoder:common' && player.isSneaking) { //The item you trigger the form with
        pageDecoderCommon(player)
        player.runCommand(
            'playsound menu_cso.show'
          )  
    }
    if (eventData.item.id == 'decoder:advanced' && player.isSneaking) { //The item you trigger the form with
        pageDecoderAdvanced(player)
        player.runCommand(
            'playsound menu_cso.show'
          )  
    }
    if (eventData.item.id == 'decoder:epic' && player.isSneaking) { //The item you trigger the form with
        pageDecoderEpic(player)
        player.runCommand(
            'playsound menu_cso.show'
          )  
    }
    if (eventData.item.id == 'decoder:rare' && player.isSneaking) { //The item you trigger the form with
        pageDecoderRare(player)
        player.runCommand(
            'playsound menu_cso.show'
          )  
    }
})
function onPlayerDeath() {
	let players = world.getPlayers();
	for(let player of players) {
		let isDeath = player.hasTag("golden_bingo");
		if(isDeath == true) {
            player.removeTag("golden_bingo");
            player.runCommand(`tellraw @s{"rawtext":[{"text": "§a+100 Mileage awarded"}]}`);
            player.runCommand(`tellraw @s{"rawtext":[{"text": "§b+5 Bingo Cards awarded"}]}`);
			player.runCommand(`tellraw @a{"rawtext":[{"text": "§c${player.nameTag} has just won the §eGolden Briefcase §4and is at: §l§4${Math.round(player.location.x)}, ${Math.round(player.location.y)}, ${Math.round(player.location.z)}"}]}`);
			player.runCommand(`tellraw @s{"rawtext":[{"text": "§7§oNow, hide!"}]}`);
		}
	}
}



//Unique Decoder drops
function pageDecoderUNIQUE(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('§4Drop Rates')
	formDecoderUNIQUE.body('§cLandmine§f: §888.5%%\n§cClaymore§f: §892.5%%\n§cAK-12§f: §810.6%%\n§cOICW§f: §860%%\n§cStun Rifle§f: §860%%\n§cAK-47 Red Edition§f: §83.5%%\n§cDesert Eagle Red Edition§f: §85%%\n§cGlock Red Edition§f: §81%%\n§cXM1014 Red Edition§f: §81.3%%\n§cAK-47 60R§f: §80.1%%\n§cScout Red Edition§f: §80.1%%\n§cSL8 Gold Edition§f: §82.5%%\n§cSL8 Custom Edition§f: §81.2%%\n§cSavery§f: §894%%\n§cPowerfalcon§f: §80.1%%\n§cM200§f: §80.1%%\n§cAWP Red Edition§f: §83.5%%\n§cTempest§f: §80.2%%\n§cSterling Bayonet§f: §80.8%%\n§cDual Desert Eagles§f: §80.1%%\n§cSCAR-PDW§f: §889%%\n§cBrecci§f: §8100%%\n§cKSG Gold Edition§f: §80.2%%\n§cMaxim-9 Gold Edition§f: §81.5%%\n§cM79 Gold Edition§f: §80.4%%\n§cKing Cobra Gold Edition§f: §85.4%%\n§cDesert Eagle Gold Edition§f: §84%%\n§cLightning AR-2§f: §85%%\n§cBunker Buster LTD§f: §835.3%%\n§cMGL Venom§f: §885.9%%\n§cBat Grenade§f: §880%%\n§cHoly Grenade§f: §881.4%%\n§cGravity Grenade§f: §880%%\n§cElectro Grenade§f: §8670%%\n§cChain Grenade§f: §80.3%%\n§cTomahawk§f: §840%%\n§cTaser Knife§f: §823%%\n§cSerpent Blade§f: §80.6%%\n§cF2000§f: §80.1%%\n\n§cElse§f: §8100%%\n§5Epic§f§l/§r§eTranscendent§f: §85%%')
    formDecoderUNIQUE.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pageGTFO(player)
        }
    })
}


//Common Decoder drops
function pageDecoderCommon(player) {
	let formDecoderCommon = new ui.ActionFormData()
	formDecoderCommon.title('§7Drop Rates')
	formDecoderCommon.body('§7Ghost Grenade§f: §80.2%%\n§7Cake Grenade§f: §80.5%%\n§7Dao Grenade§f: §80.5%%\n§7Water Balloon§f: §80.1%%\n§7Nata Knife§f: §85%%\n§7M14 EBR§f: §81%%\n§7Maxim-9§f: §81%%\n§7Truck§f: §85%%\n§7MP7A1§f: §84%%\n§7Jetpack§f: §81%%\n\n§7Else§f: §8100%%')
    formDecoderCommon.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderCommon.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pageGTFO(player)
        }
    })
}

//Advanced Decoder drops
function pageDecoderAdvanced(player) {
	let formDecoderAdvanced = new ui.ActionFormData()
	formDecoderAdvanced.title('§2Drop Rates')
	formDecoderAdvanced.body('§aSL8§f: §80.1%%\n§aDouble-Barreled Shotgun§f: §80.1%%\n§aDragon Knife§f: §80.1%%\n§aTactical Knife§f: §80.1%%\n§aAS Val§f: §82%%\n§aKriss Vector§f: §82%%\n§aDual Kriss Vector§f: §82%%\n§aKSG-12§f: §81.5%%\n§aKatana§f: §81%%\n§aKukri§f: §81%%\n§aCombat Knife§f: §83%%\n§aTRG-42§f: §85%%\n§aWinchester§f: §85%%\n§aThompson§f: §85%%\n§aMK-23 OHWS§f: §84%%\n§aMakarov§f: §84.5%%\n§aM95 Barrett§f: §85%%\n§aBlaser R93§f: §80.1%%\n§aXM2010§f: §82.5%%\n\n§aElse§f: §8100%%')
    formDecoderAdvanced.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderAdvanced.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pageGTFO(player)
        } 
    })
}

//Rare Decoder drops
function pageDecoderRare(player) {
	let formDecoderRare = new ui.ActionFormData()
	formDecoderRare.title('§9Drop Rates')
	formDecoderRare.body('§bSKULL-9§f: §850%%\n§bP99§f: §80.5%%\n§bPSG-1§f: §80.2%%\n§bSL8 CSOGS Edition§f: §80.1%%\n§bDesert Eagle CSOGS Edition§f: §80.1%%\n§bHoneybadger§f: §83%%\n\n§4Unique§f: §820%%\n§7Common§f: §840%%\n§aAdvanced§f: §830%%\n§5Epic§f§l/§r§eTranscendent§f: §83%%')
    formDecoderRare.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderRare.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pageGTFO(player)
        }
    })
}


//Epic Decoder drops
function pageDecoderEpic(player) {
	let formDecoderEpic = new ui.ActionFormData()
	formDecoderEpic.title('§5Drop Rates')
	formDecoderEpic.body('§dVoid Avenger§f: §810%%\n\n§eTranscendent§f: §8100%%')
    formDecoderEpic.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderEpic.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pageGTFO(player)
        }
    })
}

//You can change formMain to anything
function pageMain(player) {
	let formMain = new ui.ActionFormData()
	formMain.title('Station')
	formMain.body('Select an option:')
	formMain.button('§8Weapons', 'textures/guns/mileage') //Second Argument is to show icon on the left side of the button
    formMain.button('§bBingo', 'textures/guns/bingo') //Second Argument is to show icon on the left side of the button
    formMain.show(player).then(result => {
        let selection = result.selection
		
		if (selection == 0) {
            pageWeapons(player)
        }
        if (selection == 1) {
            pageBingo(player)
        }
    })
}
//Bingo
function pageBingo(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('§bBingo Tab')
	formBingo.body('§bBingo§f is an option to gamble your mileage or bingo cards in order to get rare weapons or items.\n\nYou will randomly get a number between §o0-50§r, if you get 3 numbers that match, you will obtain the weapon!\n\n§215 Mileage §frequired for each spin, or §b1 Bingo Card§f. If you have bingo cards, they will be used first.')
    formBingo.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
	formBingo.button('Random Rare Pistol', 'textures/guns/ray') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMain(player)
        }
        if (selection == 1) {
            pageBingoPistols(player)
        }
    })
}
//Bingo Pistols
function pageBingoPistols(player) {
	let formBingoPistols = new ui.ActionFormData()
	formBingoPistols.title('§bBingo Tab §f- §bRare Pistols')
	formBingoPistols.body('§bP99§f: §814.6%%\n§bMakarov§f: §89.7%%\n§bMaxim-9§f: §814.6%%\n§bM79§f: §82.4%%\n§bXD Elite§f: §89.7%%\n§bBubble Gun§f: §817%%\n§bDual Desert Eagles§f: §82.4%%\n§bRay Gun§f: §84.8%%\n§bSVI§f: §89.7%%')
	formBingoPistols.button('Spin!', 'textures/guns/ray') //Second Argument is to show icon on the left side of the button
    formBingoPistols.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formBingoPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 1) {
            pageMain(player)
        }
        if (selection == 0) {
            pageBingoPistols(player)
            player.runCommand(
                'function bingo_1'
              )      
        }
    })
}
//Weapons
function pageWeapons(player) {
	let formWeapons = new ui.ActionFormData()
	formWeapons.title('§8Weapons Tab')
	formWeapons.body('Select a category\n\n§c* Categories except pistols/bingo/decoder are not complete because I need opinions before I transfer them over to other categories.\nPlease voice your opinions about the UI seen in the pistols/bingo/decoder category in the comments of the update.\nThank you!')
    formWeapons.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
	formWeapons.button('Pistols', 'textures/guns/glock') //Second Argument is to show icon on the left side of the button
    formWeapons.button('Rifles', 'textures/guns/ak47') //Second Argument is to show icon on the left side of the button
    formWeapons.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageMain(player)
        }
        if (selection == 1) {
            pagePistols(player)
        }
        if (selection == 2) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}
//Pistols List
function pagePistols(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Pistol buy')
	formPistols.body('Select a pistol to buy:')
    formPistols.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
	formPistols.button('USP §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/usp') //Second Argument is to show icon on the left side of the button
	formPistols.button('P228 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/p228') //Second Argument is to show icon on the left side of the button
    formPistols.button('Mauser C96 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/mauser') //Second Argument is to show icon on the left side of the button
    formPistols.button('P99 §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/p99') //Second Argument is to show icon on the left side of the button
    formPistols.button('Glock-18C §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/glock') //Second Argument is to show icon on the left side of the button
    formPistols.button('Luger P08 §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/luger') //Second Argument is to show icon on the left side of the button
    formPistols.button('M1911 §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/m1911') //Second Argument is to show icon on the left side of the button
    formPistols.button('FN Five-SeveN §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/fiveseven') //Second Argument is to show icon on the left side of the button
    formPistols.button('Makarov §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/makarov') //Second Argument is to show icon on the left side of the button
    formPistols.button('MK23 §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/mk23') //Second Argument is to show icon on the left side of the button
    formPistols.button('R8 Revolver §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/r8') //Second Argument is to show icon on the left side of the button
    formPistols.button('Maxim-9 §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/maxim') //Second Argument is to show icon on the left side of the button
    formPistols.button('Desperado §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/desperado1') //Second Argument is to show icon on the left side of the button
    formPistols.button('Welrod §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/welrod') //Second Argument is to show icon on the left side of the button
    formPistols.button('AMT Automag V §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/automag') //Second Argument is to show icon on the left side of the button
    formPistols.button('IMI Desert Eagle §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/deagle') //Second Argument is to show icon on the left side of the button
    formPistols.button('M79 §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/m79') //Second Argument is to show icon on the left side of the button
    formPistols.button('SVI §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/infinity') //Second Argument is to show icon on the left side of the button
    formPistols.button('King Cobra §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/kc') //Second Argument is to show icon on the left side of the button
    formPistols.button('Void Avenger §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/void') //Second Argument is to show icon on the left side of the button
    formPistols.button('Beretta Gunslinger §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/gunslinger') //Second Argument is to show icon on the left side of the button
    formPistols.button('XD-M Elite §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/xd') //Second Argument is to show icon on the left side of the button
    formPistols.button('Bubble Gun §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/bubble') //Second Argument is to show icon on the left side of the button
    formPistols.button('Dual Deagles §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/deagle_dual_real') //Second Argument is to show icon on the left side of the button
    formPistols.button('Dual Elites §f§l§o:: §8Vanilla\n§r§r§aPurchasable', 'textures/guns/beretta_dual') //Second Argument is to show icon on the left side of the button
    formPistols.button('Ray Gun §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/ray') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageWeapons(player)
        }
        if (selection == 1) {
            pageUSP_buy(player)
        }
        if (selection == 2) {
            pageP228_buy(player)
        }
        if (selection == 3) {
            pageMauser_buy(player)
        }
        if (selection == 4) {
            pageP99_buy(player)
        }
        if (selection == 5) {
            pageGlock_buy(player)
        }
        if (selection == 6) {
            pageLuger_buy(player)
        }
        if (selection == 7) {
            pageM1911_buy(player)
        }
        if (selection == 8) {
            pageFiveSeven_buy(player)
        }
        if (selection == 9) {
            pageMakarov_buy(player)
        }
        if (selection == 10) {
            pageMK23_buy(player)
        }
        if (selection == 11) {
            pageR8_buy(player)
        }
        if (selection == 12) {
            pageMaxim_buy(player)
        }
        if (selection == 13) {
            pageDesperado_buy(player)
        }
        if (selection == 14) {
            pageWelrod_buy(player)
        }
        if (selection == 15) {
            pageAutomag_buy(player)
        }
        if (selection == 16) {
            pageDeagle_buy(player)
        }
        if (selection == 17) {
            pageM79_buy(player)
        }
        if (selection == 18) {
            pageSVI_buy(player)
        }
        if (selection == 19) {
            pageKC_buy(player)
        }
        if (selection == 20) {
            pageVoidAvenger_buy(player)
        }
        if (selection == 21) {
            pageGunslinger_buy(player)
        }
        if (selection == 22) {
            pageXD_buy(player)
        }
        if (selection == 23) {
            pageBubble_buy(player)
        }
        if (selection == 24) {
            pageDeagleDual_buy(player)
        }
        if (selection == 25) {
            pageBerettaDual_buy(player)
        }
        if (selection == 26) {
            pageRayGun_buy(player)
        }
    })
}



//Rifles List
function pageRifles() {
	let players = world.getPlayers();
	for(let player of players) {
		let isDeath2 = player.hasTag("open_rifles");
		if(isDeath2 == true) {
            player.removeTag("open_rifles");
            let formDecoderUNIQUE = new ui.ActionFormData()
            formDecoderUNIQUE.title('Rifle buy')
            formDecoderUNIQUE.body('Select a rifle to buy:')
            formDecoderUNIQUE.button('§4Exit', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('AK-74U §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/ak74u') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('M14 EBR §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/m14') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('TAR-21 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/tar') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('AK-47 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/ak47') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('SCAR §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/scarl') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('M4A1 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/m4a1') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('AN-94 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/an94') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('Lightning AR-2 §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/violin') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('F2000 §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/f2000') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('Honeybadger §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/honeybadger') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('OICW §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/oicw') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('SG552 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/sg552') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('AKM §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/akm') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('AK-60 §f§l§o:: §8Vanilla\n§r§cNot Purchasable', 'textures/guns/ak60') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('FNC §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/fnc') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('AS Val §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/val') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('AK-12 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/ak12') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('MK18 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/mk18') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('M16A4 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/m16a4') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('ARX-160 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/arx') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('Stun Rifle §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/stun') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('G11 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/g11') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('M16A1 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/m16a1') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('StG-44 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/stg') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('HK416 §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/hk416') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('Groza §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/groza') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('Browning §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/browning') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('Garand §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/garand') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('AUG §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/aug') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('FAMAS §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/famas') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('Galil §f§l§o:: §8Vanilla\n§r§aPurchasable', 'textures/guns/galil') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.show(player).then(result => {
                let selection = result.selection
		
                if (selection == 0) {
                    pageWeapons(player)
                }
                if (selection == 1) {
                    pageAK74U_buy(player)
                }
                if (selection == 2) {
                    pageM14_buy(player)
                }
                if (selection == 3) {
                    pageTAR_buy(player)
                }
                if (selection == 4) {
                    pageAK47_buy(player)
                }
                if (selection == 5) {
                    pageSCAR_buy(player)
                }
                if (selection == 6) {
                    pageM4A1_buy(player)
                }
                if (selection == 7) {
                    pageAN94_buy(player)
                }
                if (selection == 8) {
                    pageViolin_buy(player)
                }
                if (selection == 9) {
                    pageF2000_buy(player)
                }
                if (selection == 10) {
                    pageHoneybadger_buy(player)
                }
                if (selection == 11) {
                    pageOICW_buy(player)
                }
                if (selection == 12) {
                    pageSG552_buy(player)
                }
                if (selection == 13) {
                    pageAKM_buy(player)
                }
                if (selection == 14) {
                    pageAK60_buy(player)
                }
                if (selection == 15) {
                    pageFNC_buy(player)
                }
                if (selection == 16) {
                    pageVAL_buy(player)
                }
                if (selection == 17) {
                    pageAK12_buy(player)
                }
                if (selection == 18) {
                    pageMK18_buy(player)
                }
                if (selection == 19) {
                    pageM16A4_buy(player)
                }
                if (selection == 20) {
                    pageARX_buy(player)
                }
                if (selection == 21) {
                    pageStunRifle_buy(player)
                }
                if (selection == 22) {
                    pageG11_buy(player)
                }
                if (selection == 23) {
                    pageM16A1_buy(player)
                }
                if (selection == 24) {
                    pageSTG_buy(player)
                }
                if (selection == 25) {
                    pageHK416_buy(player)
                }
                if (selection == 26) {
                    pageGroza_buy(player)
                }
                if (selection == 27) {
                    pageBrowning_buy(player)
                }
                if (selection == 28) {
                    pageGarand_buy(player)
                }
                if (selection == 29) {
                    pageAUG_buy(player)
                }
                if (selection == 30) {
                    pageFAMAS_buy(player)
                }
                if (selection == 31) {
                    pageGalil_buy(player)
                }
            })
        }
    }
}

function pageAK74U_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§c* Level 15 is required to buy this weapon!\n\n§r§bFound in Decoders & Crafting\n§9Accuracy is based on recoil\n§cFirst shot is not accurate\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2175 Mileage §f& §a1 Emerald')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_ak74u'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
                if (selection == 2) {
            pageAK74U_skins(player)    
        }
    })
}

function pageAK74U_skins(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('AK-74u Skins')
	formDecoderUNIQUE.body('§c* You must have an AK-74u in your inventory!\n\nSelect a skin to buy:')
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
        formDecoderUNIQUE.button('§1S§2k§3i§4n§5s§6!', 'textures/guns/ak74ut') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            player.runCommand(
                'function rifles_open'
              )      
        }
                if (selection == 1) {
            pageAK74U_skins(player)    
        }
    })
}

function pageM14_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§c* Level 24 is required to buy this weapon!\n\n§r§bFound in Decoders & Crafting\n§9Recoil doesn`t increase, but the recoil time does\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2140 Mileage §f& §c100 Redstone')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_m14'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageTAR_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§c* Level 30 is required to buy this weapon!\n\n§r§bFound in Decoders & Crafting\n§9Can scope by sneaking\n§9Has hailing white tracers\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2200 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_tar'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}


function pageSG552_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§r§bFound in Decoders & Crafting\n§9Can scope by sneaking\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2300 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_sg552'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageAUG_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§r§bFound in Decoders & Crafting\n§9Can scope by sneaking\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2330 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_aug'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageF2000_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§c* Level 40 is required to buy this weapon!\n\n§r§bFound in Decoders & Structures\n§9Can scope by sneaking\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.')
    formDecoderUNIQUE.button('Okay', 'textures/ui/lol3') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageViolin_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders & Structures\n§cHas 2 random damage values\n§cLower damage whilst sneaking or in air\n§9Will play a nice melody for you when idling and not shooting\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.')
    formPistols.button('Okay', 'textures/ui/lol5') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageAK60_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders & Structures\n§9Can scope by sneaking\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.')
    formPistols.button('Okay', 'textures/ui/lol7') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageAK47_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§r§bFound in Decoders & Crafting\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2200 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_ak47'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageAKM_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§c* Level 15 is required to buy this weapon!\n\n§r§bFound in Decoders & Crafting\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2220 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_akm'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageFNC_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§c* Level 15 is required to buy this weapon!\n\n§r§bFound in Decoders & Crafting\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2240 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_fnc'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageG11_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§r§bFound in Decoders & Crafting\n§9To auto/burst, place the G11 in the crafting grid\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2550 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_g11'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageFAMAS_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§r§bFound in Decoders & Crafting\n§9To auto/burst, place the famas in the crafting grid\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2250 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_famas'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageGalil_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§r§bFound in Decoders & Crafting\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2250 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_galil'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageM16A1_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§c* Level 15 is required to buy this weapon!\n\n§r§bFound in Decoders & Crafting\n§9To auto/semi, place the M16A1 in the crafting grid\n§9Deals more damage in semi\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2450 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_m16a1'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageSTG_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§c* Level 20 is required to buy this weapon!\n\n§r§bFound in Decoders & Crafting\n§cHas teleport recoil\n§9Can be enhanced\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2550 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_stg'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageMK18_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§c* Level 20 is required to buy this weapon!\n\n§r§bFound in Decoders & Crafting\n§cHas teleport recoil\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2320 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_mk18'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageM16A4_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§c* Level 25 is required to buy this weapon!\n\n§r§bFound in Decoders & Crafting\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2400 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_m16a4'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageARX_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§c* Level 35 is required to buy this weapon!\n\n§r§bFound in Decoders & Crafting\n§9Can scope by sneaking\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2470 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_arx'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageStunRifle_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§r§bFound in Decoders\n§9Stuns nearby entities and players when user is reloading\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2600 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_stunrifle'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageVAL_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§c* Level 50 is required to buy this weapon!\n\n§r§bFound in Decoders\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2400 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_val'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageAK12_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§c* Level 70 is required to buy this weapon!\n\n§r§bFound in Decoders\n§9Has tracers\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2480 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_ak12'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageSCAR_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§r§bFound in Decoders & Crafting\n§9To change gun modes, place the SCAR in the crafting grid\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2280 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_scar'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageOICW_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§r§bFound in Decoders\n§9To change gun modes, simply sneak\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2300 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_oicw'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageM4A1_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§r§bFound in Decoders & Crafting\n§9To silence/unsilence, place the M4A1 in the crafting grid\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2235 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_m4a1'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageHK416_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§r§bFound in Decoders & Crafting\n§9To silence/unsilence, place the HK416 in the crafting grid\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2400 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_hk416'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageBrowning_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§r§bFound in Decoders & Crafting\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2380 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_browning'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageGroza_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§r§bFound in Decoders & Crafting\n§9Recoil doesn`t increase, but the recoil time does\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2360 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_groza'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageGarand_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§r§bFound in Decoders & Crafting\n§cYou need to deplete all your ammo to reload\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2340 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_garand'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageAN94_buy(player) {
	let formDecoderUNIQUE = new ui.ActionFormData()
	formDecoderUNIQUE.title('Buy Checkout, read!')
	formDecoderUNIQUE.body('§r§bFound in Decoders & Crafting\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r\n\n§fPrice: §r§2260 Mileage')
    formDecoderUNIQUE.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formDecoderUNIQUE.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageRifles(player)
            player.runCommand(
                'function buy_an94'
              ),
              player.runCommand(
                'tag @s add open_rifles'
              )
        }
        if (selection == 1) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}


function pageHoneybadger_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders & Structures\n§9Has no tracers\n\n§r§3Description:\n§o§4Not complete, check the main menu to see why.§r')
    formPistols.button('Okay', 'textures/ui/lol7') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            player.runCommand(
                'function rifles_open'
              )      
        }
    })
}

function pageUSP_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders\n§9To silence/unsilence, place the USP in the crafting grid\n§cBouncy recoil mechanic when shot in slow bursts\n\n§r§3Description:\n§o§7K&M 45. Tactical, or the USP, has a detachable silencer that gives shots more recoil and lowers damage while suppressing attention-getting noise. When unsilenced, recoil is lowered but your shots can be heard further.\n\n§r§cStats:\n§7Damage: §826.67%%\n§7Recoil: §83.4%%\n§7Inaccuracy: §80.6%%\n§7Range: §8100%%\n§7Mobility: §887%%\n§7Fire Rate: §884%% (Semi)\n\n§fPrice: §r§2125 Mileage §f& §678 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_usp'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}

function pageMK23_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders, Structures & Bingo\n§cHas 2 random damage values\n§9To silence/unsilence, place the MK23 in the crafting grid\n\n§r§3Description:\n§o§7The MK23 is a machanical USP that is focused on being tactical. Incredible accuracy that doesn`t decrease drastically like the USP alongside no bouncy recoil, at the cost of lower damage that is random between two values. Silencer increases accuracy.\n\n§r§cStats:\n§7Damage: §825%% / §820%%\n§7Recoil: §88%%\n§7Inaccuracy: §80.735%%\n§7Range: §8100%%\n§7Mobility: §884.5%%\n§7Fire Rate: §881%% (Semi)')
    formPistols.button('Okay', 'textures/ui/lol3') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}

function pageRayGun_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Bingo\n\n§r§3Description:\n§o§7Mythical weapon capable of shooting lethal green lasers that leave lava particles behind.\n\n§r§cStats:\n§4This weapon is not eligible for stat showcase, as it didn`t recieve the Counter-Strike adjustment yet.')
    formPistols.button('Okay', 'textures/ui/lol7') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}

function pageMaxim_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders, Structures & Bingo\n§9Can aim down-sights by sneaking\n\n§r§3Description:\n§o§7The Maxim-9 is an integrally silenced pistol that is able to aim down-sights, but fires subsonic rounds which have a low velocity.\n\n§r§cStats:\n§7Damage: §821.67%%\n§7Recoil: §86.5%%\n§7Inaccuracy: §80.700%%\n§7Range: §8100%%\n§7Mobility: §886%%\n§7Fire Rate: §886%% (Semi)')
    formPistols.button('Okay', 'textures/ui/lol') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}


function pageXD_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Structures & Bingo\n§9Has unique tracers\n§9Can aim down-sights by sneaking\n§cHas bullet-drop & gravity\n\n§r§3Description:\n§o§7The XD-M Elite is a tactical pistol that is able to aim down-sights, but has unusual traits such as bullet drops.\n\n§r§cStats:\n§7Damage: §821.67%%\n§7Recoil: §87.77%%\n§7Inaccuracy: §81%%\n§7Range: §8100%%\n§7Mobility: §886%%\n§7Fire Rate: §881%% (Semi)')
    formPistols.button('Okay', 'textures/ui/lol') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}


function pageP228_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders\n§cHas damage drop-off at long distances\n\n§3Description:\n§o§7The SIG Sauer P228 or simply P228 is a Swiss made compact semi-automatic pistol in the Counter-Strike series.\n\n§r§cStats:\n§4This weapon is not eligible for stat showcase, as it didn`t recieve the Counter-Strike adjustment yet.\n\n§fPrice: §r§264 Mileage §f& §627 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_p228'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}



function pageP99_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders, Structures & Bingo\n\n§3Description:\n§o§7The Walther P99 is a great pistol to annoy snipers, as the velocity coming out of it surpasses most of them! only one issue though, are you willing to sacrafice hours of your life to obtain such rare elegance?\n\n§r§cStats:\n§7Damage: §825%%\n§7Recoil: §89.95%%\n§7Inaccuracy: §80.88%%\n§7Range: §8100%%\n§7Mobility: §887%%\n§7Fire Rate: §876%% (Semi)')
    formPistols.button('Okay', 'textures/ui/lol') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}


function pageDeagleDual_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders & Bingo\n\n§3Description:\n§o§7Long awaited, the Dual Desert Eagles are far better than their single counter-part. Higher damage, lower recoil, double mags, and double the fun!\n\n§r§cStats:\n§7Damage: §841.67%%\n§7Recoil: §84%%\n§7Inaccuracy: §81.45%%\n§7Range: §8100%%\n§7Mobility: §880%%\n§7Fire Rate: §885%% (Semi)')
    formPistols.button('Okay', 'textures/ui/lol5') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}


function pageBerettaDual_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders\n\n§3Description:\n§o§7These pistols right here, are the first "real dual" pistols in all of Bedrock. The Dual Berettas or Elites consists of low recoil, good rate of fire & accuracy even at longer distances, and average damage. Try shooting facing the barrels of the guns.\n\n§r§cStats:\n§7Damage: §825%%\n§7Recoil: §84%%\n§7Inaccuracy: §81.26%%\n§7Range: §8100%%\n§7Mobility: §887%%\n§7Fire Rate: §890%% (Semi)\n\n§fPrice: §r§2210 Mileage')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_beretta'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}


function pageM79_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Structures & Bingo\n\n§3Description:\n§o§7A hand-cannon that is able to shoot grenades that explode on impact. Needs to be reloaded every shot.\n\n§r§cStats:\n§4This weapon is not eligible for stat showcase, as it didn`t recieve the Counter-Strike adjustment yet.')
    formPistols.button('Okay', 'textures/ui/lol6') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}


function pageBubble_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Structures & Bingo\n\n§3Description:\n§o§7A silly toy that shoots bubbles. I wonder what happens if they touch someone...?\n\n§r§cStats:\n§4This weapon is not eligible for stat showcase, as it didn`t recieve the Counter-Strike adjustment yet.')
    formPistols.button('Okay', 'textures/ui/lol4') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}


function pageSVI_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Structures & Bingo\n\n§3Description:\n§o§7The SVI Infinity Silver is a pistol in Counter-Strike Online.\n\n§r§cStats:\n§4This weapon is not eligible for stat showcase, as it didn`t recieve the Counter-Strike adjustment yet.')
    formPistols.button('Okay', 'textures/ui/lol3') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}

function pageKC_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Structures & Bingo\n§9Can scope by sneaking\n\n§3Description:\n§o§7The King Cobra is a sniper-pistol in Counter-Strike Online.\n\n§r§cStats:\n§4This weapon is not eligible for stat showcase, as it didn`t recieve the Counter-Strike adjustment yet.')
    formPistols.button('Okay', 'textures/ui/lol3') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}

function pageVoidAvenger_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders\n§9Has special traits\n\n§3Description:\n§o§7The Void Avenger is an epic-pistol weapon for a very good reason - it can immediately stop everyone around you in their tracks in a certain radius for a few seconds by a simple click!\nAfter 55 shots you obtain a Void Bullet which can be thrown to create a big crator that can pull mobs in and damage them.\n\n§r§cStats:\n§4This weapon is not eligible for stat showcase, as it didn`t recieve the Counter-Strike adjustment yet.\n\n§fPrice: §r§2322 Mileage §f& §6270 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_void'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}

function pageGunslinger_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders\n§9Has special traits\n\n§3Description:\n§o§7The Beretta Gunslinger is a transcendent-grade pistol that is capable of performing melee attacks to stun nearby mobs and damage them. Once you have depleted your ammo entirely, a big "BOOM" will arise to assist you in your final moments!\n\n§r§cStats:\n§4This weapon is not eligible for stat showcase, as it didn`t recieve the Counter-Strike adjustment yet.\n\n§fPrice: §r§2278 Mileage §f& §6185 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_gunslinger'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}


function pageMakarov_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders & Bingo\n§9To silence/unsilence, place the Makarov in the crafting grid\n\n§3Description:\n§o§7The Makarov has a detachable silencer that helps your accuracy and makes you stealthy.\n\n§r§cStats:\n§4This weapon is not eligible for stat showcase, as it didn`t recieve the Counter-Strike adjustment yet.')
    formPistols.button('Okay', 'textures/ui/lol2') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
        }
    })
}


function pageMauser_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders\n\n§3Description:\n§o§7The Mauser C96 is a machine pistol. It has low recoil and is quite easy to handle, but the velocity and damage is absurd.\n\n§r§cStats:\n§7Damage: §811.7%%\n§7Recoil: §83%%\n§7Inaccuracy: §80.996%%\n§7Range: §8100%%\n§7Mobility: §888%%\n§7Fire Rate: §895%% (Auto)\n\n§fPrice: §r§232 Mileage §f& §613 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_mauser'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}

function pageAutomag_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders\n\n§3Description:\n§o§7The Automag is a semi-automatic pistol that gives both of the Desert-Eagle and the M1911 a run for their money. Not only is it powerful, but a recoil instantly back to your crosshair? sign me up.\n\n§r§cStats:\n§7Damage: §830%%\n§7Recoil: §88.9%%\n§7Inaccuracy: §81.28%%\n§7Range: §8100%%\n§7Mobility: §888%%\n§7Fire Rate: §879%% (Semi)\n\n§fPrice: §r§2150 Mileage §f& §660 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_automag'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}


function pageDeagle_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders\n\n§3Description:\n§o§7The Desert Eagle is a high caliber pistol fed with 7 rounds of high-damaging bullets. Although it has low magazine size and low fire rate, it does higher damage than most pistols and has good accuracy for first few shots. Thus, its reload time is very short.\n\n§r§cStats:\n§7Damage: §833.33%%\n§7Recoil: §812%%\n§7Inaccuracy: §81.50%%\n§7Range: §8100%%\n§7Mobility: §885%%\n§7Fire Rate: §877%% (Semi)\n\n§fPrice: §r§2190 Mileage §f& §650 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_deagle'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}


function pageWelrod_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders\n\n§3Description:\n§o§7The Welrod is a pistol that has low recoil and is quite easy to handle, but the rate of fire is rather slow.\n\n§r§cStats:\n§4This weapon is not eligible for stat showcase, as it didn`t recieve the Counter-Strike adjustment yet.\n\n§fPrice: §r§286 Mileage §f& §635 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_welrod'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}

function pageR8_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders\n§9Same recoil at all times\n§cHas trigger-pull mechanic\n\n§3Description:\n§o§7The R8 Revolver delivers a highly accurate and powerful round at the expense of a lengthy trigger-pull.\n\n§r§cStats:\n§7Damage: §861.67%%\n§7Recoil: §825%%\n§7Inaccuracy: §81.2%%\n§7Range: §8100%%\n§7Mobility: §884%%\n§7Fire Rate: §8Pull for 0.3 seconds\n\n§fPrice: §r§2142 Mileage §f& §680 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_r8'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}

function pageDesperado_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders\n§9To switch to knockback/stun, simply hit anything\n\n§3Description:\n§o§7Two upgraded Pythons that can switch between stun or knockback. Which one?\n\n§r§cStats:\n§4This weapon is not eligible for stat showcase, as it didn`t recieve the Counter-Strike adjustment yet.\n\n§fPrice: §r§2245 Mileage §f& §6120 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_desperado'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}

function pageGlock_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders\n§9To semi/burst, place the Glock in the crafting grid\n§9Has no recoil in semi mode\n\n§3Description:\n§o§7The Glock or simply G18C is a Austrian made semi pistol in the Counter-Strike series that is capable of semi-auto shots or 3 bursts.\n\n§r§cStats:\n§4This weapon is not eligible for stat showcase, as it didn`t recieve the Counter-Strike adjustment yet.\n\n§fPrice: §r§245 Mileage §f& §620 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_glock'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}

function pageLuger_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders\n\n§3Description:\n§o§7The Pistole Modell 1908 or simply P08 is a German-empire made pistol in Counter-Strike Online.\n\n§r§cStats:\n§4This weapon is not eligible for stat showcase, as it didn`t recieve the Counter-Strike adjustment yet.\n\n§fPrice: §r§252 Mileage §f& §634 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_luger'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}


function pageFiveSeven_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders\n\n§3Description:\n§o§7The FN Five-SeveN or simply FS is a semi-automatic pistol in the Counter-Strike series.\n\n§r§cStats:\n§4This weapon is not eligible for stat showcase, as it didn`t recieve the Counter-Strike adjustment yet.\n\n§fPrice: §r§2100 Mileage §f& §658 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_fiveseven'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}

function pageM1911_buy(player) {
	let formPistols = new ui.ActionFormData()
	formPistols.title('Buy Checkout, read!')
	formPistols.body('§r§bFound in Decoders\n§cHas damage drop-off at long distances\n\n§r§3Description:\n§o§7Trusty. Reliable. The pistol that forgot to become obsolete, also known as the M1911, is a pistol that has extremely low recoil, high damage, and medium accuracy. Try shooting whilst sneaking to give yourself more velocity to negate damage drop-off.\n\n§r§cStats:\n§7Damage: §826.67%%%\n§7Recoil: §85%%\n§7Inaccuracy: §80.9%%\n§7Range: §8100%%\n§7Mobility: §886%%\n§7Fire Rate: §882%% (Semi)\n\n§fPrice: §r§274 Mileage §f& §645 Copper Ingots')
    formPistols.button('§aBuy', 'textures/ui/correct') //Second Argument is to show icon on the left side of the button
    formPistols.button('§cCancel', 'textures/ui/wrong') //Second Argument is to show icon on the left side of the button
    formPistols.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePistols(player)
            player.runCommand(
                'function buy_m1911'
              )
        }
        if (selection == 1) {
            pagePistols(player)
        }
    })
}